org.jboss.shrinkwrap.descriptor.api.connector10

## Interface SecurityPermission<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface SecurityPermission<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `security-permission` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SecurityPermission<T>` | `description(java.lang.String description)` Sets the `description` element
    `java.lang.String` | `getDescription()` Returns the `description` element
    `java.lang.String` | `getSecurityPermissionSpec()` Returns the `security-permission-spec` element
    `SecurityPermission<T>` | `removeDescription()` Removes the `description` element
    `SecurityPermission<T>` | `removeSecurityPermissionSpec()` Removes the `security-permission-spec` element
    `SecurityPermission<T>` | `securityPermissionSpec(java.lang.String securityPermissionSpec)` Sets the `security-permission-spec` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### securityPermissionSpec

          SecurityPermission<T> securityPermissionSpec(java.lang.String securityPermissionSpec)

      Sets the `security-permission-spec` element
      Parameters:
        `securityPermissionSpec` - the value for the element `security-permission-spec`
      Returns:
        the current instance of `SecurityPermission`

    - #### getSecurityPermissionSpec

          java.lang.String getSecurityPermissionSpec()

      Returns the `security-permission-spec` element
      Returns:
        the node defined for the element `security-permission-spec`

    - #### removeSecurityPermissionSpec

          SecurityPermission<T> removeSecurityPermissionSpec()

      Removes the `security-permission-spec` element
      Returns:
        the current instance of `SecurityPermission`

    - #### description

          SecurityPermission<T> description(java.lang.String description)

      Sets the `description` element
      Parameters:
        `description` - the value for the element `description`
      Returns:
        the current instance of `SecurityPermission`

    - #### getDescription

          java.lang.String getDescription()

      Returns the `description` element
      Returns:
        the node defined for the element `description`

    - #### removeDescription

          SecurityPermission<T> removeDescription()

      Removes the `description` element
      Returns:
        the current instance of `SecurityPermission`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)